%define name    libffado

%define lib_major       2
%define lib_name        %mklibname ffado %{lib_major} 
%define lib_name_devel  %mklibname ffado -d

Name:           %{name} 
Summary:        Firewire audio drivers for JACK
Version:        2.1.0
Release:        %mkrel 3

Source:         http://www.ffado.org/files/%{name}-%{version}.tgz
URL:            http://www.ffado.org/
License:        GPLv2+ and GPLv3
Group:          Sound/Utilities 

BuildRequires:  scons, pkgconfig
BuildRequires:  libraw1394-devel, libiec61883-devel, libavc1394-devel
BuildRequires:  libxml++-devel
BuildRequires:  python-qt4-devel
BuildRequires:  expat-devel, dbus-devel
BuildRequires:  pkgconfig(libconfig)
BuildRequires:  pkgconfig(dbus-c++-1)
BuildRequires:  python-dbus

%description
The FFADO library provides a generic, open-source solution for the
support of FireWire based audio devices for the Linux platform. It is the
successor of the FreeBoB project. Currently this library is used by the 
firewire backends of the jack audio connection kit sound server 
(jackit package). This backend provides audio and midi support,
and is available in both jack1 and jack2.

#-----------------------------------
%package -n %{lib_name}

Summary:        Firewire audio drivers for JACK
Group:          Sound/Utilities

%description -n %{lib_name}
The FFADO library provides a generic, open-source solution for the
support of FireWire based audio devices for the Linux platform. It is the
successor of the FreeBoB project. Currently this library is used by the 
firewire backends of the jack audio connection kit sound server 
(jackit package). This backend provides audio and midi support,
and is available in both jack1 and jack2.

%files -n %{lib_name}
%doc AUTHORS ChangeLog LICENSE.* README
%{_libdir}/libffado.so.*

#-----------------------------------
%package -n ffado
Summary:        Firewire audio driver applications and utilities
Group:          Sound/Utilities
Requires:       %{lib_name} = %{version}-%{release}
Requires:       python-dbus, qt4-qtdbus
Requires:       python-qt4

%description -n ffado
Configuration utilities for the FFADO firewire drivers

%files -n ffado
%{_bindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/python
%{_datadir}/%{name}/configuration
%{_datadir}/%{name}/*.xml
%{_datadir}/applications/%{_real_vendor}-ffado-mixer.desktop
%{_datadir}/%{name}/icons/hi64-apps-ffado.png
%{_datadir}/dbus-1/services/org.ffado.Control.service
/lib/udev/rules.d/60-ffado.rules
%{py_puresitedir}/ffado
%{_mandir}/man1/*

#-----------------------------------
%package -n %{lib_name_devel}
Summary:        Firewire audio driver library development headers
Group:          Sound/Utilities
Requires:       %{lib_name} = %{version}-%{release}
Requires:       pkgconfig, libxml++-devel
Requires:       libiec61883-devel, libavc1394-devel, libraw1394-devel
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{lib_name_devel}
Development files needed to build applications against libffado.

%files -n %{lib_name_devel}
%{_libdir}/%{name}.so
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/pkgconfig/%{name}.pc

#-----------------------------------
%prep
%setup -q -n %{name}-%{version}

%build
scons PREFIX=%{_prefix} LIBDIR=%{_libdir}

%install
scons PREFIX=%{_prefix} LIBDIR=%{_libdir} MANDIR=%{_mandir} \
      DESTDIR=%{buildroot} install

install -m 0644 support/tools/listirqinfo.py %{buildroot}%{_datadir}/libffado/python
install -m 0644 support/tools/helpstrings.py %{buildroot}%{_datadir}/libffado/python

mkdir -p %{buildroot}%{_datadir}/applications
#make desktop file
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-ffado-mixer.desktop <<EOF
[Desktop Entry]
Name=Ffado Mixer
Comment=Mixer for Firewire Audio Devices
Exec=ffado-mixer
Icon=hi64-apps-ffado
Terminal=false
Type=Application
Categories=AudioVideo;Audio;
EOF


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.1.0-3.mga3
+ Revision: 357098
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 27 2012 zezinho <zezinho> 2.1.0-2.mga3
+ Revision: 322464
- fix rpm group

* Tue Sep 25 2012 mitya <mitya> 2.1.0-1.mga3
+ Revision: 297351
- Fix file list

  + zezinho <zezinho>
    - fix file list
    - new version
    - remove now useless bootstrap

* Tue May 01 2012 mitya <mitya> 2.0.1-6.mga2
+ Revision: 234460
- Fix jackd segafult in FFADO's DebugModule (FFADO Bug #329)

* Tue Feb 07 2012 zezinho <zezinho> 2.0.1-5.mga2
+ Revision: 206146
- rebuild against new glib
- cleanup spec

  + tv <tv>
    - new release

* Mon Apr 25 2011 wally <wally> 2.0.1-4.mga1
+ Revision: 90328
- fix desktop file (mga#954)

  + dmorgan <dmorgan>
    - Enable bootstrap
    - Remove mdv macros
      Bootstrap to allow to build without python-qt4-devel
    - imported package libffado

